<?php

use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;


class CountriesTableSeederData extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {

        $json = File::get('database/data/countries.json');
        $data = json_decode($json);
        $countries = array();

        foreach ($data->countries as $obj) {
//            var_dump($obj->coordinates);
//
//            var_dump($obj->name->common);
//            var_dump($obj->translations->spa->common);
//            var_dump($obj->translations->por->common);
//
//            var_dump($obj->cca2);
//            var_dump($obj->latlng[0]);
//            var_dump($obj->latlng[1]);

            $temp = [
                'en' => $obj->name->common,
                'es' => $obj->translations->spa->common,
                'pt' => $obj->translations->por->common,
                'fr' => $obj->translations->fra->common,
                'code'=>$obj->cca2,
                'lat' => $obj->latlng[0],
                'long' => $obj->latlng[1],

            ];
//
            array_push($countries,$temp);
        }

        foreach ($countries as $c) {
            $db = DB::table('countries')->insert($c);
        }
    }
}
