<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Country extends Model
{
    protected $table = 'countries';

    protected $fillable = [ 'en','es','pt','fr','code','lat','long'];

    public $timestamps = true;

    // RELACIONES:
    
    // (No tiene fk en la BD)
    public function userdatas(){
        return $this->hasMany('App\Userdata', 'country_id', 'id');
    }

    // (No tiene fk en la BD)
    public function cities(){
        return $this->hasMany('App\City', 'country', 'es');
    }
}
