<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use Spatie\Tags\Tag;
use Illuminate\Support\Facades\Response;

class TagController extends Controller
{
    //


    public function getTags()
    {
        $tags = DB::table('taggable_tags')->orderBy('order')->get();

        $results = [];
        foreach ($tags as $tag) {
//            var_dump($tag);
            array_push($results, [
                'id' => $tag->tag_id,
                'name' => [
                    'en' => $tag->en,
                    'es' => $tag->es,
                    'pt' => $tag->pt,
                    'fr' => $tag->fr,
                ],
                'slug' => $tag->slug,
                'type' => $tag->type,
                'order' => $tag->order,

            ]);
        }


//        $results = json_decode('[{"id":1,"name":{"en":"Photography","es":"Fotograf\u00eda"},"slug":{"en":"photography","es":"fotografia"},"type":"artist","order_column":1,"created_at":"2018-02-26 16:09:58","updated_at":"2018-02-26 16:09:58"},{"id":2,"name":{"en":"Sculpture","es":"Escultura"},"slug":{"en":"sculpture","es":"escultura"},"type":"artist","order_column":2,"created_at":"2018-02-26 16:09:58","updated_at":"2018-02-26 16:09:58"}]');
        $statusCode = 200;
        return Response::json($results, $statusCode);
    }
}
