@extends('admin.layouts.app')
@section('content')
    <h1 class="page-header">Usuarios</h1>

    {{-- <a href="{{ route('articles.create') }}">Crear </a> --}}

    <div class="table-responsive">
        <table class="table">
            <thead>
            <tr>
                <th>Título</th>
                <th>Rol</th>
                <th>Acciones</th>
            </thead>
            <tbody>
                    @foreach($users as $user)
                     <tr>
                        <td>{{$user->name}}</td>
                        <td>
                            @foreach($user->getRoleNames() as $rol)
                                {{ $rol }}
                            @endforeach
                        </td>
                        <td>
                            <a class="btn btn-primary" href="{{ URL::to('/') }}/admin/user/{{ $user->id }}/edit">Ver</a>
                        </td>
                    </tr>
                    @endforeach
            </tbody>
        </table>
    </div>
@endsection