@extends('layouts/app')


@section('content')



    <a class="button" href="{{ URL::to('/') }}/{{ LaravelLocalization::getCurrentLocale() }}/inscription/create">
        {{ __('inscription.create_project') }}
    </a>

    <div class="projects">
        @if(count($inscriptions)>0)
            <table>
                <thead>
                <th>{{ __('inscription.title') }}</th>
                <th>{{ __('inscription.created_at') }}</th>
                <th>{{ __('inscription.author') }}</th>
                <th> {{ __('lang.actions') }}</th>
                </thead>
                <tbody>
                @foreach($inscriptions as $inscription )
                    <tr>
                        <td>{{ $inscription->title }}</td>
                        <td>{{ $inscription->created_at }}</td>
                        <td><a href="{{ URL::to('/') }}/{{ LaravelLocalization::getCurrentLocale() }}/inscription/{{ $inscription->id }}/view">{{ __('lang.view') }}</a></td>
                    </tr>
                @endforeach
                </tbody>
            </table>

        @else
            {{ __('inscription.no_project_to_show') }}
        @endif
    </div>


@endsection
